---
layout: book
section: documentation
category: installation
title: Upgrade notes
permalink: /docs/upgrade
---
## 0.6

### Remote network access

In TileMill 0.6 connections are now only accepted from the loopback interface by default. This prevents users from unknowingly sharing projects with remote users. On Mac OS X, this setting can be changed in the preferences window. On Ubuntu, this setting can be changed by setting the `listenHost` option in your `~/.tilemill.json` file to `0.0.0.0`.

### Application data directory on Ubuntu

On *Ubuntu*, TileMill files are now kept in `~/Documents/MapBox` by default. You can start TileMill from the Applications menu or Launcher while logged in as a desktop user.  After starting TileMill for the first time the aforementioned directory will be created. You may move your projects and other data from their old location, such as `/usr/share/mapbox`, to the new directory.

### Execution changes on Ubuntu

TileMill can now be run as the logged in desktop user on Ubuntu. Look for the TileMill menu item in the Applications menu or Launcher. You may need to adjust file permissions and ownership on your data files to make them readable by TileMill if you decide to move your data from the previous directory (/usr/share/mapbox). You can still run TileMill as a service using the `upstart` command, if so desired.

## 0.4

### Important note for Ubuntu users

A specific version of mapnik2 is provided in the `mapbox` PPA for use with TileMill 0.4.x. TileMill will not work if you have **any other version** of mapnik2 installed on your system. Please remove any previous versions of mapnik2 that you may have installed from source or from the mapnik `nightly-trunk` PPA.

**Removing mapnik2 compiled from source**

Enter the directory of the original mapnik2 source.

    cd /home/ubuntu/mapnik2 # or the path to your mapnik2 source
    sudo make uninstall

**Removing mapnik2 from the nightly-trunk PPA**

First remove your mapnik2 packages.

    sudo apt-get uninstall mapnik2*

Remove the `sources.list` entries for the `nightly-trunk` PPA and run

    sudo apt-get update

You can now install TileMill using the `install-tilemill.sh` script.

### Project files

TileMill on *Mac OS X* now keeps its files in your user's home directory at `~/Documents/MapBox`. On *Ubuntu*, TileMill files are kept in `/usr/share/mapbox`. After starting TileMill for the first time the directory will be created. Move your projects from their old location to the new `project` directory.

### Relative paths

If you bravely used relative paths to reference markers and other images in your old Carto stylesheets you need to update the paths to be relative to your project's directory. For example the following rule which worked in TileMill 0.3.x by virtue of being relative to the Mapnik XML file written into the hidden `.cache` directory

    polygon-pattern-file: url(../project/new-world/res/land.png);

Should be changed to be relative to the project directory

    polygon-pattern-file: url(res/land.png);

### Minimal mode

A setting for entering and leaving minimal mode no longer exists. Projects will automatically update if you decide to edit their `mml` and `mss` files directly with another text editor. Beware that altering projects in both the TileMill UI and your editor is not recommended - TileMill will always give preference to an external editor if changes are made.

